<?php #bin/init.php

//Include external libraries (excl. hidden [.file])
$files["ext"] = scandir("ext");
foreach ($files["ext"] as $val) {
	if ("."!=substr($val,0,1) && ".php"==substr($val,strlen($val)-4,4)) {
	  include "ext/".$val;
} }

//Include libraries (excl. hidden [.file])
$files["lib"] = scandir("lib");
foreach ($files["lib"] as $val) {
	if (substr($val,0,1)!= ".") {
	  include "lib/".$val;
} }

//Import configuration files (excl. hidden [.file])
$files["var"] = scandir("var");
foreach ($files["var"] as $val) {
	if (substr($val,0,1)!= "." && ".php"==substr($val,strlen($val)-4,4)) {
	  include "var/".$val;
} }

// Authenticate user and prepare input/output
$man = new Manager($mysqli, $redis, JWT_KEY);
